khanakazana/views/controller.py
'''
 Name: controllers.py
 Description: Main controller for all the views
 author: abhiyan timilsina              '''

from flask import Blueprint, jsonify, session, request, render_template, flash, g, redirect
from .forms import Users, Restaurants, Items, BookRestaurant
import requests
import random
from khanakazana.api.functions.khanacore import KhanaAPI
from khanakazana.auth.routes import validate_unique_username
from flask_login import current_user, login_required
from flask import current_app as app
from os import urandom
from khanakazana.celery_tasks import upload_file, export_file
from khanakazana.elastic_search import search_elastic

views_blueprint = Blueprint('view', __name__, static_folder='static', static_url_path='/static/view', template_folder='templates')
khana = KhanaAPI()


@views_blueprint.before_app_request
def checklogin():
    if g.user_type == 0 and 'cart_count' not in session:
        session['cart_count'] = 0
        session['cart_items'] = ''
        g.cart_count = session['cart_count']
    elif 'cart_count' in session:
        g.cart_count = session['cart_count']


# Route for the Home Page
@views_blueprint.route('/')
def index():
    categories_images = ['image_chinese.jpg', 'image_bbq.jpg', 'image_drinks.jpeg', 'image_nepalese.jpg']
    random_number = [random.randint(0, len(categories_images)) for i in range(0,len(categories_images))]
    return render_template('index.html', user_type=g.user_type, user=g.user, cat_images=categories_images, random_number = random_number)

''' -----------------------  USER INTERACTION ROUTES ----------------------------'''


@views_blueprint.route('/add_to_cart', methods=['POST'])
@login_required
def add_to_cart():
    operation_type = request.form.get('operation_id')
    item_id = request.form.get('item_id')
    cart_items_array = session['cart_items'].split(',')
    if int(operation_type) == 0:
        session['cart_count'] = int(session['cart_count']) + 1
        cart_items_array.append(str(item_id))
    else:
        session['cart_count'] = int(session['cart_count']) - 1
        cart_items_array.remove(str(item_id))
    session['cart_items'] = ','.join(cart_items_array)
    g.cart_count = session['cart_count']
    return jsonify({'count': g.cart_count})    


@views_blueprint.route('/checkout')
def checkout():
    items_added = session['cart_items']
    items_added = items_added.split(',')[1:]
    items = []
    cart_total = 0
    for item in items_added:
        item_obj = khana.get_item(item)
        cart_total = int(item_obj.price) + cart_total
        items.append(item_obj)
    return render_template('checkout.html', items=items, total = cart_total)


@views_blueprint.route('/book/<int:rest_id>', methods=['GET', 'POST'])
@login_required 
def book_restaurant(rest_id):
    form = BookRestaurant()
    title = 'Book a Table'
    action = request.url 
    if form.validate_on_submit():
        khana.owner_add_items(form_values)
        for record in form:
            record = ""
        flash({'type': 'ok', 'message': 'Your Response has been recorded'})
        return redirect('/')
    elif not form.validate_on_submit() and request.method == 'POST':
        flash({'type': 'fail', 'message': 'Forms are not filled correctly please review'})
    return render_template('forms.html', form=form, title=title, action=action)    


@views_blueprint.route('/search', methods=['POST'])
def search():
    query = request.form.get('query')
    response = search_elastic(query)
    return render_template('search.html', result=response)


@views_blueprint.route('/signup', methods=['GET', 'POST'])
def sign_up():
    url_root = request.url_root
    form = Users()
    title = 'Add new user'
    action = '/signup'
    if request.method == 'POST' and validate_unique_username(request.form['username']) is True:
        if form.validate_on_submit():
            r = requests.post(url_root+'auth/register', request.form)
            for record in form:
                record.data = ""
            flash({'type': 'ok', 'message': 'Your Response has been recorded'})
        else:
            flash({'type': 'fail', 'message': 'Please choose a different username'})

    elif not form.validate_on_submit() and request.method == 'POST':
        flash({'type': 'fail', 'message': 'Forms are not filled correctly Please Review'})
    return render_template('forms.html', form=form, title=title, action= action)


@views_blueprint.route('/restaurant/<int:rest_id>')
def restaurant_detail(rest_id):
    restaurant = khana.display_restaurant(rest_id)
    items = khana.show_items(rest_id)
    return render_template('restaurant_detail.html', items=items, restaurant=restaurant)


''' ----------------------- END OF USER INTERACTION ROUTES ----------------------------'''


''' ----------------------- RESTAURANT OWNER  ROUTES ----------------------------'''


@views_blueprint.route('owner/export/<int:rest_id>')
@login_required
def export_menu(rest_id):
    export_file.delay(rest_id)
    flash({'type': 'ok', 'message': 'Menu is being generated...'})
    return redirect('/owner/restaurants')


@views_blueprint.route('/restaurants', methods=['GET'])
def show_restaurants():
    restaurants = khana.show_restaurants()
    return render_template('restaurant_list.html', restaurants=restaurants, title='Restaurants Available')


@views_blueprint.route('/items/<int:rest_id>', methods=['GET'])
def listItems(rest_id):
    items = khana.show_items(rest_id)
    return render_template('item_list.html', items=items)


@views_blueprint.route('/category/<category_name>')
def show_restaurant_with_category(category_name):
    restaurants = khana.display_restaurant_category(category_name)
    return render_template('restaurant_list.html', restaurants=[elements[0] for elements in restaurants], title='Restaurants For Category '+category_name)


@views_blueprint.route('/additem/<owner_username>/<int:rest_id>', methods=['GET', 'POST'])
@login_required
def add_item(owner_username, rest_id):
    if g.user_type != 1:
        return '403 You are forbidden to use this route as you are not the owner'
    form = Items()
    form.rest_id = rest_id
    title = 'Add new item'
    action = request.url 
    if form.validate_on_submit():
        form_values = {
            'name': request.form['name'],
            'description': request.form['name'],
            'price': request.form['price'],
            'category': request.form['category'],
            'rest_id': rest_id
        }
        khana.owner_add_items(form_values)
        for record in form:
            record = ""
        flash({'type': 'ok', 'message': 'Your Response has been recorded'})
        return redirect('/owner/restaurants')
    elif not form.validate_on_submit() and request.method == 'POST':
        flash({'type': 'fail', 'message': 'Forms are not filled correctly Please Review'})
    return render_template('forms.html', form=form, title=title, action= action)


@views_blueprint.route('/items/edit/<int:item_id>', methods=['GET', 'POST'])
@login_required
def edit_items(item_id):
    if g.user_type != 1:
        return '403 You are forbidden to use this route as you are not the owner'
    item_to_update = khana.show_item(item_id)
    form = Items(name=item_to_update.name, description=item_to_update.description, price=item_to_update.price,category=item_to_update.category)
    if form.validate_on_submit():
        khana.owner_update_items(request.form, item_id)
        flash('The item has been updated')
        return redirect('/owner/restaurants')
    else:
        flash('The fields are invalid')
    return render_template('forms.html', form=form)    


@views_blueprint.route('/items/delete/<int:item_id>', methods=['GET', 'POST'])
@login_required
def delete_items(item_id):
    if g.user_type != 1:
        return '403 You are forbidden to use this route as you are not the owner'
    khana.owner_delete_item(item_id)
    return redirect('/owner/restaurants')


@views_blueprint.route('owner/upload/<int:rest_id>', methods=['GET', 'POST'])
@login_required
def upload_items(rest_id):
    action = request.url
    rest_id = rest_id 
    if request.method == 'POST' and 'file' in request.files:
        filename = app.files.save(request.files['file'])
        upload_file.delay(filename, rest_id)
        flash({'type':'ok', 'message':'uploading process started'})
        return redirect('/owner/restaurants')
    return render_template('upload.html', action = action)


@views_blueprint.route('/owner/restaurants')
@login_required
def addItem():
    if g.user_type != 1:
        return '403 You are forbidden to use this route as you are not the owner'
    username = g.user
    restaurants = khana.owner_resturant(username)
    return render_template('tables/owner_table.html', restaurants = restaurants)    


''' ----------------------- END OF RESTAURANT OWNER  ROUTES ----------------------------'''


''' ----------------------- SITE ADMIN  ROUTES ----------------------------'''


@views_blueprint.route('/addrestaurant', methods=['GET', 'POST'])
@login_required
def add_restaurant():
    if g.user_type != 2:
        return '403 You are forbidden to use this route as you are not the owner'
    form = Restaurants()
    title = 'Add new restaurant'
    action = '/addrestaurant'
    if form.validate_on_submit():
        khana.super_add_restaurants(request.form.to_dict(flat=True))
        for record in form:
            record.data = ""
            
        flash({'type': 'ok', 'message': 'Your Response has been recorded'})
        return redirect('/superadmin')
    elif not form.validate_on_submit() and request.method == 'POST':
        flash({'type': 'fail', 'message': 'Forms are not filled correctly Please Review'})
    return render_template('forms.html', form=form, title=title, action= action)


@views_blueprint.route('/superadmin')
@login_required
def super_admin():
    if g.user_type != 2:
        return '403 You are forbidden to use this route as you are not the owner'

khanakazana/views/templates/addowner.html
{% extends 'pagelayout.html' %}

{% block pagecontent %}
    <h3 class='text text-primary'>Please Add the Owner for {{restaurant.name}}</h3>

    <form class='form form-control' action="{{request.url}}" method="post">
        <select class='form-control' name="owner_id" id="">
            {% for user in users %}
            <option value="{{user.id}}">{{user.username}}</option>
            {% endfor %}
            
        </select>
        <input type="submit" name="submit" id="" class='btn btn-primary'>
    </form>

{% endblock %}

khanakazana/views/templates/checkout.html
{% extends 'pagelayout.html' %}


{% block pagecontent %}

<div class="container">
	<table id="cart" class="table table-hover table-condensed">
    				<thead>
						<tr>
							<th style="width:50%">Food Item</th>
							<th style="width:10%">Price</th>
							<th style="width:10%"></th>
						</tr>
					</thead>
					<tbody>
                        {% for item in items %}
                        <tr>
							<td data-th="Product">
								<div class="row">
									<div class="col-sm-2 hidden-xs"><img style="width:80px; height:90px" src="{{url_for('static', filename='images/item.jpeg')}}" alt="..." class="img-responsive"/></div>
									<div class="col-sm-10">
										<h4 class="nomargin">{{item.name|capitalize}}</h4>
										<p>{{item.description}}</p>
									</div>
								</div>
							</td>
							<td data-th="Price">${{item.price}}</td>
							<td class="actions" data-th="">
								<button class="btn btn-info btn-sm"><i class="fa fa-refresh"></i></button>
								<button class="btn btn-danger btn-sm"><i class="fa fa-trash-o"></i></button>								
							</td>
                        </tr>
                        {% endfor %}
					</tbody>
					<tfoot>
						<tr>
							<td><a href="/restaurants" class="btn btn-warning"><i class="fa fa-angle-left"></i> Continue Shopping</a></td>
							<td colspan="2" class="hidden-xs"></td>
							<td class="hidden-xs text-center"><strong>Total ${{total}}</strong></td>
							<td><a href="{{url_for('view.index')}}" class="btn btn-success btn-block">Checkout <i class="fa fa-angle-right"></i></a></td>
						</tr>
					</tfoot>
				</table>
</div>

{% endblock %}

khanakazana/views/templates/forms.html
{% extends 'pagelayout.html' %}

{% block pagecontent%}

<div class="container forms">
    <form action="{{action}}" method = 'POST'>
        <p id='form-title'>{{title}}</p>
   {% for element in form %}
        {% if element.label != 'CSRF Token'%}
        <div class="row form-row">
            <div class="col-25">
              <label for="fname">{{element.label}}</label>
            </div>
            <div class="col-75">
              {{element()}}
            </div>
          </div>
        {% endif %}
   {% endfor %}
      </form>
</div>


{% endblock %}

  

khanakazana/views/templates/index.html
{% extends 'pagelayout.html' %}

{% set user = user %}
{% set user_type = user_type %}
{% block pagecontent %}
    <section class='categories'>
           <h3 class="section-title">Categories</h3>
            <div class='container categories-container' id='categories-content'>
                    <div class="row" id="">
                      </div>
                    <div class="row restaurants">
                        
                    </div>
                </div>
            
    </section>

    <section>
        <h3 class="section-title">Trending Restaurants</h3>
        <div class='container restaurant-container' id='restaurant-content'>
                <div class="row" id="">
                  </div>
                <div class="row restaurants">
                    
                </div>
            </div>
    
    </section>
    
    {% raw %}

    <script id="categories-template" type="text/x-handlebars-template">
        {{#each data}}
                <a href="/category/{{this}}">
                        <div class='category-item'>
                                <img src="/static/images/image_chinese.jpg" class='category-image' alt="">
                                <div class="centered">{{this}}</div>
                        </div>
                  
                </a>
        {{/each}}
    </script>
    
    <script id="restaurant-template" type="text/x-handlebars-template">
        {{#each data}}
                <a href="/restaurant/{{id}}">
                        <div class='restaurant-item'>
                                <img src="/static/images/bento.jpg" class='restaurant-image img img-circle' alt="">
                                <div class="centered">{{name}}</div>
                        </div>
                  
                </a>
               
               
        {{/each}}
    </script>
    {% endraw %}
    {% endblock %}

khanakazana/views/templates/item_detail.html
{% extends 'pagelayout.html' %}



{% block pagecontent %}


{% endblock %}

khanakazana/views/templates/item_list.html
{% import 'macros/item.html' as macro %}

{% macro render_items(items) %}
   <img src="{{url_for('static', filename='images/menu.png')}}"  id= 'our_menu' alt="">
<div class="item-container">
 {% for item in items %}
    {{ macro.render_item(item) }}
 {% endfor %}  
</div>
{% endmacro %}

khanakazana/views/templates/pagelayout.html
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Khana Kazana:</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link href="{{ url_for('static', filename = 'css/bootstrap.css')}}" rel="stylesheet" id="bootstrap-css" >
    <link rel="stylesheet" type="text/css" media="screen" href="{{ url_for('static', filename = 'css/navbar.css')}}" />
    <link rel="stylesheet" type="text/css" media="screen" href="{{ url_for('static', filename = 'css/footer.css')}}" />
    <link rel="stylesheet" href="{{ url_for('static', filename = 'css/main.css')}}">
    <link rel="stylesheet" href="{{ url_for('static', filename = 'css/forms.css')}}">
    <link rel="stylesheet" href="{{ url_for('static', filename = 'css/macros.css')}}">
    <link href="//maxcdn.bootstrapcdn.com/font-awesome/4.2.0/css/font-awesome.min.css" rel="stylesheet">
    <script src="{{ url_for('static', filename = 'js/jquery.min.js')}}"></script>
    <script src="{{ url_for('static', filename = 'js/bootstrap.min.js')}}"></script>
    <script src="{{ url_for('static', filename = 'js/handlebars.js')}}"></script>
    <!-- <link href="//maxcdn.bootstrapcdn.com/font-awesome/4.2.0/css/font-awesome.min.css" rel="stylesheet"> -->
    <script src="{{ url_for('static', filename = 'js/main.js')}}"></script>
  
<!-- <link href="https://fonts.googleapis.com/css?family=Permanent+Marker" rel="stylesheet"> -->

  </head>

<body>
  
 <div class="navbar">
    <nav class="navbar  navbar-expand-lg bg-dark navbar-dark fixed-top">
        <a class="navbar-brand" href="#"><span class='brand-first-name brand'>KHANA  </span><span class='brand-second-name brand'>KHAZANA</span></a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
         </button>
         <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav">
              <li class="nav-item active">
                <a class="nav-link" href="/">Home <span class="sr-only">(current)</span></a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="/restaurants">Restaurants</a>
              </li>
              <!-- <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                  Categories
                </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                  <a class="dropdown-item" href="#">Action</a>
                  <a class="dropdown-item" href="#">Another action</a>
                  <div class="dropdown-divider"></div>
                  <a class="dropdown-item" href="#">Something else here</a>
                </div>
              </li>-->
              {% if g.user_type ==2%} 
              <li class="nav-item">
                <a class="nav-link " href="{{url_for('view.super_admin')}}">Site Pannel</a>
              </li>
              {% endif %}
              {% if g.user_type==1 %}
              <li class="nav-item">
                <a class="nav-link" href="/owner/restaurants">My Restaurants</a>
              </li>
              {% endif %}
              
            </ul>
            <form class="form-inline navbar-form navbar-left" method="post" action =" {{url_for('view.search')}}" style='margin-left:60px;'>
              <input class="form-control mr-sm-2" name='query' required type="search" placeholder="Search" aria-label="Search">
              <button class="btn btn-outline-success my-2 my-sm-0" type="submit">Search</button>
            </form>
            
              <ul class="nav navbar-nav navbar-right" style="position:absolute;right:0;" >
                
                <li class="dropdown">
                  
                      {% if g.user == 'anno' %}
                      <b><i class="fa fa-user user-login"></i></b>  
                      {% else %}
                      {% if g.user_type == 0 %}
                      <a href="{{url_for('view.checkout')}}"><i class="fa fa-shopping-cart cart user-login"></i><span class="cart-count" id='item-count'>{{g.cart_count}}</span></a>
                      {% endif %}
                      <img src='/static/images/user.png' class='img img-circle ' style='width:30px;height:30px' title='{{g.user}}'>
                      {% endif %}
                      <a href="#" class="dropdown-toggle user-login" data-toggle="dropdown"> <span class="caret"></span></a>
              
                  <ul id="login-dp" class="dropdown-menu" style='transform: translateX(-200px);z-index:1;'>
                <li>
                   <div class="row">
                    {% if g.user == 'anno' %}  
                    <div class="col-md-12">
                        Login via
                        <div class="social-buttons">
                          <a href="#" class="btn btn-fb"><i class="fa fa-facebook"></i> Facebook</a>
                          <a href="#" class="btn btn-tw"><i class="fa fa-twitter"></i> Twitter</a>
                        </div>
                                        or
                         <form  class="form" onsubmit="requestLogin(event)"  id="login-nav">
                            <div class="form-group" >
                               <label class="sr-only" for="exampleInputEmail2">Username</label>
                               <input type="text" name='username' class="form-control" id="exampleInputEmail2" placeholder="Email Username" required>
                            </div>
                            <div class="form-group">
                               <label class="sr-only" for="exampleInputPassword2">Password</label>
                               <input type="password" name='password' class="form-control" id="exampleInputPassword2" placeholder="Password" required>
                                                     <div class="help-block text-right"><a href="">Forget the password ?</a></div>
                            </div>
                            <div class="form-group">
                               <button  onclick="" class="btn btn-primary btn-block">Sign in</button>
                            </div>
                            <div class="checkbox">
                               <label>
                               <input type="checkbox"> keep me logged-in
                               </label>
                            </div>
                         </form>
                      </div>


                      <div class="bottom text-center">
                        New here ? <a href="/signup"><b>Join Us</b></a>
                      </div>
                      {% else %}
                       
                      <a href="/auth/logout" style="margin-right: 20px;"   class="btn btn-danger"><i class="fa fa-power"></i> Logout</a>
                      <a href="#"  class="btn btn-primary"><i class="fa fa-user"></i> My Profile</a>
                      <hr>
                      <p class='text text-primary'>Welcome User {{g.user}}</p>
                      {% endif %}
                   </div>
                </li>
              </ul>
                </li>
                
              </ul>
          

            
          
         
          </div>
      </nav>
 </div>    
  <div class="page-content">

    <div class="alert" style='display:none' id="alert_box">
      <p></p> 
      <button type="button" class="close" data-dismiss="alert">&times;</button>
  </div>


      {% for message in get_flashed_messages() %}
      {% if message['type'] == 'fail'%}
      <div class="alert alert-warning">
       
          <button type="button" class="close" data-dismiss="alert">&times;</button>
          {{ message['message'] }}
      </div>
 
        
        {% else %}
        <div class="alert alert-success">
       
            <button type="button" class="close" data-dismiss="alert">&times;</button>
            {{ message['message'] }}
        </div>
          
        
        {% endif %}
       {% endfor %}
      {% block pagecontent%}

      {% endblock %}
  </div>
  <div class="footer">
    <footer class="site-footer">
      <div class="container">
        <div class="row">
          <div class="col-sm-12 col-md-6">
            <h6>About</h6>
            <p class="text-justify">Khanakazana <i>CODE WANTS TO BE SIMPLE </i> </p>
          </div>

          <div class="col-xs-6 col-md-3">
            <h6>Categories</h6>
            <ul class="footer-links">
            
            </ul>
          </div>

          <div class="col-xs-6 col-md-3">
            <h6>Quick Links</h6>
            <ul class="footer-links">
              <li><a href="">About Us</a></li>
              <li><a href="">Contact Us</a></li>
              <li><a href="">Contribute</a></li>
              <li><a href="">Privacy Policy</a></li>
              <li><a href="">Sitemap</a></li>
            </ul>
          </div>
        </div>
        <hr>
      </div>
      <div class="container">
        <div class="row">
          <div class="col-md-8 col-sm-6 col-xs-12">
            <p class="copyright-text">Copyright &copy; 2014 All Rights Reserved by 
         <a href="#">Haze Foundation</a>.
            </p>
          </div>

          <div class="col-md-4 col-sm-6 col-xs-12">
            <ul class="social-icons">
              <li><a class="facebook" href="#"><i class="fa fa-facebook"></i></a></li>
              <li><a class="twitter" href="#"><i class="fa fa-twitter"></i></a></li>
              <li><a class="dribbble" href="#"><i class="fa fa-dribbble"></i></a></li>
              <li><a class="linkedin" href="#"><i class="fa fa-linkedin"></i></a></li>   
            </ul>
          </div>
        </div>
      </div>
</footer>
  </div>
  
</body>
</html>

khanakazana/views/templates/restaurant_detail.html
{% extends 'pagelayout.html' %}
{% import 'item_list.html' as macro %}


{% block pagecontent %}
<div class="container">
    <div class="row">
        <div class="col-xs-4 col-md-4 restaurant-description">
            <img class="img img-responsive img-rounded restaurant-detail-image" src="{{url_for('static', filename='images/bento.jpg')}}"  alt=""> 
            <hr>
            
            <div class="restaurant-information">
                <p><span><i class="fa fa-home" style="color:black"></i> {{restaurant.name}} </span></p>
                <p><span><i class="fa fa-money" style="color:greenyellow"></i> $ {{restaurant.minimum_order}} </span></p>
                <p><span><i class="fa fa-clock-o" style="color:blue"></i> {{restaurant.opening_time}} </span></p>
                <p><span><i class="fa fa-clock-o" style="color:red;"></i> {{restaurant.opening_time}} </span></p>
                <p><span><i class="fa fa-shopping-cart" style="color:brown;"></i> Online order </span></p>
                <p><span><i class="fa fa-phone" style="color:red;"></i> {{restaurant.contact}} </span></p>   
                <hr>
                <a target="_blank" href="{{url_for('static', filename='user_files/'+restaurant.id|string+'_'+restaurant.name|string+'.pdf')}}"> 
                    <button style='margin-bottom: 10px' class="btn btn-primary">Download Menu</button>
                </a>
            </div>  
        </div>
        <div class="col-xs-8 col-md-8 restaurant-items">
                {{ macro.render_items(items) }}
        </div>
    </div>

</div>

{% endblock %}

khanakazana/views/templates/restaurant_list.html
{% import 'macros/restaurant.html' as macro %}
{% extends 'pagelayout.html' %}



{% block pagecontent %}
<h2 style='text-align:center;margin:10px;font-family: cursive;'>{{title}}</h2>
 <h6 style='text-align: center;font-family:Verdana, Geneva, Tahoma, sans-serif' class='text text-success'>Restaurant Count:{{restaurants|length}}</h6>
        <div class="restaurant-container">
                {% for restaurant in restaurants %}
                {{ macro.render_restaurant(restaurant) }}
                {% endfor %}
        </div>
        


 
{% endblock %}

khanakazana/views/templates/search.html
{% extends 'pagelayout.html' %}
{% block pagecontent %}

{% if result.status %}
 <h3 class="alert alert-success">Sucessfully Fetched</h3>
<p class='text text-muted alert alert-warning'><small>{{result.total_found}} items found in {{result.time_taken}}ms</small></p> 
<div class="row">


{% for restaurant in result.restaurants %}

<div class="card col-xs-3 col-md-3">
    <h4>{{restaurant.name}}</h4>
    <img class='img img-responsive img-thumbnail' src="{{url_for('static', filename='images/restaurant.jpeg')}}" alt="">    
    <a href="{{url_for('view.restaurant_detail', rest_id=restaurant.id|int)}}">
        <button class='btn btn-primary'>View Restaurant</button>
    </a>
</div>

{% endfor%}
</div>
{% else %}
<h2 class="alert alert-warning">Sucessfully Fetches</h2>

{%  endif %}

{% endblock %}

khanakazana/views/templates/super_admin.html
{% extends 'pagelayout.html' %}
{% import 'tables/super_table.html' as macro %}
{% block pagecontent %}
    <h2 class='text-primary' style="text-align:center"> Super Admin Panel</h2>

    <div class="container">
        <div class="row">
            <div class="col-xs-4 col-md-4">
                {% if restaurants|length == 0%}
                <p class='alert alert-danger'>Data is not loaded</p>
                <a href="{{url_for('view.super_admin_load')}}"><button class='btn btn-warning'>LOAD DATA</button></a>
                {% endif %}
                <h3>Site Statistics:</h3>
                <hr>
                <p class='text-success'>Number of Users: {{users|length}} </p>
                <p class='text-success'>Number of Restaurants: {{restaurants|length}} </p>
                <p class='text-success'><a href="{{url_for('view.add_restaurant')}}"><button class='btn btn-primary'>+Add a New Restaurant</button></a></p>
                <p class='text-success'><a href="{{url_for('view.add_restaurant')}}"><button disabled class='btn btn-default'>LOAD FROM CSV</button></a></p>
                <p class='text-success'></p>
            </div>
            <div class="col-xs-8 col-md-8">
                <table class='table table-striped'>
                    <tr>
                        <th><span class='text text-success'>Name</span></th>
                        <th><span class='text text-success'>Owner ID</span></th>
                        <th><span class='text text-success'>Add Owner</span></th>
                    </tr>
                    {% for restaurant_info in restaurants %}
                    <tr>
                        <th>{{restaurant_info[0].name}}</th>
                        <th>{{restaurant_info[1]}}</th>
                        <th>
                        {% if not restaurant_info[1] %}
                        <a href="{{url_for('view.add_owner',rest_id=restaurant_info[0].id)}}"><button class="btn btn-warning" >Add Owner</button></a>
                        {% else %}
                        ----
                        {% endif %}
                    </th>
                    </tr>
                    {% endfor %}
                </table>                
            </div>
        </div>
    </div>

{% endblock %}

khanakazana/views/templates/upload.html
{% extends 'pagelayout.html'%}


{% block pagecontent %}
<h5 class='text text-alert'>
    {% if g.user_type == 1 %}
    This is the upload section for the for your restaurant.The filename should have items_ prefix   Please give a valid spredsheet file
    like <a href="" class='text text-success'>items.csv</a>.The order or rows matters  
    {% endif %}
</h5>
<form class='form form-control' method=POST enctype=multipart/form-data  action="{{action}}">
<input class='form-control' type="file" name="file" >
<input type="submit" class='btn btn-primary' name="" id="">
</form>
{% endblock %}